package domain


type AlibabaWdkItemMerchantskuUpdateResult struct {
    /*
        success     */
    Success  *bool `json:"success,omitempty" `

    /*
        code     */
    Code  *string `json:"code,omitempty" `

    /*
        errorCode     */
    ErrorCode  *string `json:"error_code,omitempty" `

    /*
        errorDesc     */
    ErrorDesc  *string `json:"error_desc,omitempty" `

    /*
        result     */
    Result  *string `json:"result,omitempty" `

}

func (s *AlibabaWdkItemMerchantskuUpdateResult) SetSuccess(v bool) *AlibabaWdkItemMerchantskuUpdateResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkItemMerchantskuUpdateResult) SetCode(v string) *AlibabaWdkItemMerchantskuUpdateResult {
    s.Code = &v
    return s
}
func (s *AlibabaWdkItemMerchantskuUpdateResult) SetErrorCode(v string) *AlibabaWdkItemMerchantskuUpdateResult {
    s.ErrorCode = &v
    return s
}
func (s *AlibabaWdkItemMerchantskuUpdateResult) SetErrorDesc(v string) *AlibabaWdkItemMerchantskuUpdateResult {
    s.ErrorDesc = &v
    return s
}
func (s *AlibabaWdkItemMerchantskuUpdateResult) SetResult(v string) *AlibabaWdkItemMerchantskuUpdateResult {
    s.Result = &v
    return s
}
